package de.intevation.flys.artifacts.model.fixings;

import java.io.Serializable;

public class AnalysisPeriod
implements   Serializable
{
    protected DateRange dateRange;
    protected QWD []    qwds;
    protected QWD []    qSectorAverages;

    public AnalysisPeriod() {
    }

    public AnalysisPeriod(DateRange dateRange) {
        this.dateRange = dateRange;
    }

    public AnalysisPeriod(DateRange dateRange, QWD [] qwds) {
        this(dateRange);
        this.dateRange = dateRange;
    }

    public AnalysisPeriod(
        DateRange dateRange,
        QWD []    qwds,
        QWD []    qSectorAverages
    ) {
        this(dateRange, qwds);
        this.qSectorAverages = qSectorAverages;
    }

    public DateRange getDateRange() {
        return dateRange;
    }

    public void setDateRange(DateRange dateRange) {
        this.dateRange = dateRange;
    }

    public QWD [] getQWDs() {
        return qwds;
    }

    public void setQWDs(QWD [] qwds) {
        this.qwds = qwds;
    }

    public QWD [] getQSectorAverages() {
        return qSectorAverages;
    }

    public void setQSectorAverages(QWD [] qSectorAverages) {
        this.qSectorAverages = qSectorAverages;
    }

    public QWD getQSectorAverage(int i) {
        return qSectorAverages[i];
    }

    public double getMaxQ() {
        double maxQ = -Double.MAX_VALUE;
        if (qwds != null) {
            for (QWD qwd: qwds) {
                if (qwd.getQ() > maxQ) {
                    maxQ = qwd.getQ();
                }
            }
        }
        if (qSectorAverages != null) {
            for (QWD qwd: qSectorAverages) {
                if (qwd != null && qwd.getQ() > maxQ) {
                    maxQ = qwd.getQ();
                }
            }
        }
        return maxQ;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
